## oss4src oss4src |

## Properties

gchar * | device | Read / Write
gchar * | device-name | Read

## Types and Values

struct | GstOss4Source

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstAudioBaseSrc
                                ╰── GstAudioSrc
                                    ╰── GstOss4Source

## Implemented Interfaces

GstOss4Source implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Description

This element lets you record sound using the Open Sound System (OSS) version 4.

### Example pipelines

    1
    gst-launch-1.0 -v oss4src ! queue ! audioconvert ! vorbisenc ! oggmux ! filesink location=mymusic.ogg

will record sound from your sound card using OSS4 and encode it to an Ogg/Vorbis file (this will only work if your mixer settings are right and the right inputs areenabled etc.)

## Synopsis

### Element Information

plugin | oss4
author | Tim-Philipp Müller <tim centricular net>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-alaw, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-mulaw, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-raw, format=(string){ S32LE, S32BE, S24_32LE, S24_32BE, S24LE, S16LE, S16BE, U16LE, U16BE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]

## Functions

## Types and Values

### struct GstOss4Source

    struct GstOss4Source;

## Property Details

### The `“device”` property

      “device”                   gchar *

OSS4 device (e.g. /dev/oss/hdaudio0/pcm0 or /dev/dspN) (NULL = use first available device).

Flags: Read / Write

Default value: NULL

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: NULL